# $Revision: 1.55 $, $Date: 2010/05/12 14:25:11 $
Summary:	A GNOME firewall tool
Summary(pl.UTF-8):	Narzędzie do konfiguracji firewalla działające w środowisku GNOME
Name:		firestarter
Version:	1.0.3
Release:	7
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/firestarter/%{name}-%{version}.tar.gz
# Source0-md5:	f46860a9e16dac4b693bd05f16370b03
Source1:	%{name}.init
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-locale_names.patch
Patch2:		%{name}-script.patch
URL:		http://www.fs-security.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	intltool
BuildRequires:	libgnome-devel >= 2.0.0
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	iptables
Requires:	rc-scripts
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FireStarter is an easy-to-use, yet powerful, Linux firewall tool for
GNOME. Use it to quickly set up a secure environment using the
firewall creation wizard, or use it's monitoring and administrating
features with your old firewall scripts.

%description -l pl.UTF-8
FireStarter jest łatwym w użyciu, lecz potężnym narzędziem do
konfiguracji firewalla działającym w środowisku GNOME. Możesz go użyć,
by szybko stworzyć bezpieczne środowisko korzystając z kreatora
tworzenia firewalla, lub skorzystać z jego możliwości monitorowania i
administrowania wraz z istniejącymi regułami firewalla.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv -f po/{no,nb}.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__sed} -i 's/xml::\/etc\//xml::\$PREFIX\/etc\//' Makefile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d}
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_desktopdir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/firestarter
cp -a firestarter.pam $RPM_BUILD_ROOT/etc/pam.d/firestarter

install -d $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/inbound
install -d $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/outbound
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/configuration
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/events-filter-hosts
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/events-filter-ports
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/firestarter.sh
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/firewall
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/sysctl-tuning
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/user-pre
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/user-post
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/inbound/allow-from
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/inbound/allow-service
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/inbound/forward
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/inbound/setup
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/outbound/allow-from
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/outbound/allow-service
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/outbound/allow-to
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/outbound/deny-from
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/outbound/deny-service
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/outbound/deny-to
touch $RPM_BUILD_ROOT%{_sysconfdir}/firestarter/outbound/setup

mv $RPM_BUILD_ROOT{%{_bindir},%{_sbindir}}/firestarter

# TODO: use .desktop magic for this
cat <<'EOF' > $RPM_BUILD_ROOT%{_bindir}/firestarter
#!/bin/sh
if [ -x %{_bindir}/gksudo ] ; then
	exec gksudo -g %{_sbindir}/firestarter
elif [ -x %{_bindir}/kdesu ] ; then
	exec kdesu %{_sbindir}/firestarter
else
	exec %{_sbindir}/firestarter
fi
EOF

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install firestarter.schemas
%update_desktop_database_post
/sbin/chkconfig --add firestarter
%service firestarter restart

%preun
if [ "$1" = 0 ]; then
	%gconf_schema_uninstall firestarter.schemas
	%service firestarter stop
	/sbin/chkconfig --del firestarter
fi

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS TODO CREDITS
%attr(755,root,root) %{_bindir}/firestarter
%attr(755,root,root) %{_sbindir}/firestarter
%attr(754,root,root) /etc/rc.d/init.d/firestarter
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/firestarter
%{_sysconfdir}/gconf/schemas/firestarter.schemas
%{_desktopdir}/firestarter.desktop
%{_pixmapsdir}/firestarter.png
%{_datadir}/%{name}
%dir %attr(700,root,root) %{_sysconfdir}/%{name}
%dir %attr(700,root,root) %{_sysconfdir}/%{name}/inbound
%dir %attr(700,root,root) %{_sysconfdir}/%{name}/outbound
%config(noreplace) %attr(700,root,root) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/firestarter.sh
%config(noreplace) %attr(440,root,root) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/inbound/*
%config(noreplace) %attr(440,root,root) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/outbound/*
%config(noreplace) %attr(440,root,root) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/configuration
%config(noreplace) %attr(440,root,root) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/events-filter-*
%config(noreplace) %attr(440,root,root) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/firewall
%config(noreplace) %attr(440,root,root) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/non-routables
%config(noreplace) %attr(440,root,root) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/sysctl-tuning
%config(noreplace) %attr(440,root,root) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/user-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: firestarter.spec,v $
Revision 1.55  2010/05/12 14:25:11  baggins
- rel 7
- fixed desktop categories

Revision 1.54  2010/03/14 00:23:28  sparky
- BR: gnome-common

Revision 1.53  2010/03/01 11:27:22  glen
- unify, use %service macro, rc-script deps, updated initscript; rel 6

Revision 1.52  2007/11/04 17:51:09  ankry
- sr@Latn -> sr@latin, rel. 5

Revision 1.51  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.49  2006/12/04 23:37:30  charles
- updated -script.patch; rel. 4

Revision 1.48  2006/08/09 17:07:26  wrobell
- rel. 3 to rebuild with openssl 0.9.8b

Revision 1.47  2006/06/21 18:47:54  wrobell
- use gksudo in /usr/bin/firestarter instead of gnomesu
- last desktop change which introduced gksudo reverted

Revision 1.46  2006/06/21 18:13:52  wrobell
- requires gksu due to changed desktop file
- rel. 2

Revision 1.45  2005/05/17 09:23:30  wrobell
- rel. 1

Revision 1.44  2005/05/06 02:00:33  charles
- added -script.patch
- rel. 0.5

Revision 1.43  2005/05/06 00:24:34  charles
- moved to %{_sbindir} (requires root privileges)
- workaround by script (FIXME, but IMO better than previous -kdesu patch)

Revision 1.42  2005/05/04 11:26:02  charles
- updated dirs/files attributes (based on source code)
- rel. 0.4

Revision 1.41  2005/05/04 09:50:10  charles
- new URL
- BR: intltool, pkgconfig

Revision 1.40  2005/04/29 17:21:09  qboosh
- unified, config() for pam.d file

Revision 1.39  2005/04/29 15:28:25  wrobell
- updated file list and files' attributes
- added init.d script
- rel. 0.2

Revision 1.38  2005/04/10 01:06:02  wrobell
- todo added

Revision 1.37  2005/04/10 01:00:56  wrobell
- desktop patch updated

Revision 1.36  2005/04/10 00:40:42  wrobell
- fixed gconf support
- added empty configuration files
- rel. down to 0.1 (nfy)

Revision 1.35  2005/04/10 00:24:52  wrobell
- missing post/preun for gconf

Revision 1.34  2005/04/10 00:21:26  wrobell
- ver. 1.0.3

Revision 1.33  2005/02/22 19:53:28  darekr
- miiising dir

Revision 1.32  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.31  2004/09/18 11:24:39  gozda
- removed useless comment.

Revision 1.30  2004/08/27 16:15:36  gozda
- oops, changed md5

Revision 1.29  2004/08/27 16:09:00  gozda
- Updated to 0.9.3

Revision 1.28  2004/07/23 18:36:32  ankry
- no -> nb (locale_names patch), rel. 4

Revision 1.27  2004/07/14 01:56:06  ankry
- added -desktop patch, rel. 3

Revision 1.26  2004/03/28 18:40:24  qboosh
- added acfix patch, switched to desktopdir; release 2 for Ac

Revision 1.25  2003/07/04 08:36:33  qboosh
- updated deps

Revision 1.24  2003/07/03 18:54:01  luzik
- updated to 0.9.2

Revision 1.23  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.22  2003/05/25 05:47:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.20  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.19  2002/11/27 18:27:38  juandon
- new %doc

Revision 1.18  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.16  2002/05/21 23:13:02  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/04/25 16:18:20  arturs
- fixed a small typo

Revision 1.14  2002/03/04 19:54:34  kloczek
- move desktop file to System/Administration,
- added regenerate ac/am/lt files.

Revision 1.13  2002/03/03 19:12:01  marcus
- new version 0.8.2

Revision 1.12  2002/02/22 23:28:52  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:12:57  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/08/03 17:33:07  waszi
- updated to 0.7.1
- ac/am and others magic stuff need check

Revision 1.9  2001/07/28 15:08:08  migo
- added pl summary and description

Revision 1.8  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.7  2000/11/03 00:27:51  kloczek
- updated to 0.5.0.

Revision 1.6  2000/10/29 17:44:18  kloczek
- updated to 0.4.1,
- Source url changed to ftp://,
- uncomment using %find_lang.

Revision 1.5  2000/10/29 17:36:36  kloczek
- release 2: use new rpm automation and rebuild against gnome-libs linked
  with db3.

Revision 1.4  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.3  2000/06/01 00:32:58  kloczek
- changed prefix to /usr/X11R6.

Revision 1.2  2000/06/01 00:32:02  kloczek
- completly rewrited in PLD style.
